package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type UkeyLoginRequest struct {
	// <ext>core:true</ext> 【签名原文】签名原文 【作用】 用于登录的签名数据原文，可以使用当前时间戳
	Data string `json:"data"`
	// <ext>core:true</ext> 【签名原文】签名数据 【作用】 用于验签的签名数据，使用私钥证书对签名原文签名得到的签名数据
	Sign     string                  `json:"sign"`
	UserInfo *common.UserInfoRequest `json:"userInfo"`
}

func (obj UkeyLoginRequest) GetUrl() string {
	return "/ukey/login"
}

func (obj UkeyLoginRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
